from django.db import models
from django.utils.translation import gettext_lazy as _


class FrameStatus(models.TextChoices):
    NEW = "N", _("nowa")
    PROCESSING = "O", _("w obróbce")
    READY = "G", _("gotowe")
    VERIFIED = "S", _("sprawdzone")
    INVALID = "B", _("błędna")  # set by lexicographs
    NOT_MATCHING_UNIFIED_FRAME = "C", _("niepasująca")  # set by lexicographs
    BAD = "Z", _("zła")  # confirmed by super lexicographs

